Subject: Only persist recursive node changes once
Description

https://review.typo3.org/#/c/25300/ fixed moving of nodes, but it leads to the situation that NodeDataRepository::persistEntities() is
called recursively for every child node of moved/renamed nodes.
This has a negative effect on performance and it could break the complete sub tree if errors happen during persistence.

One way to solve this would be to remove the persistEntities() call from Node::setPath() and call it after invoking that method from the
move*() and setName methods.

Associated revisions
Revision 40d2c05c - 2013-12-09 12:44 - Christian Müller

[!!!][TASK] Prevent multiple persistence commits on setPath

Currently nodes are persisted after every call of setPath, even
recursively which is unneeded. With this change persist happens
only at the end of a recursive setPath call chain.

This is only breaking if you use Node::setPath() in your own
code as persisting the changes is no longer happening
automatically.
History
#1 - 2013-11-29 00:42 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25749
#2 - 2013-11-29 11:18 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.TYPO3CR has been pushed to the review server.
It is available at https://review.typo3.org/25749

#3 - 2013-12-09 13:35 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:40d2c05ce8cfa1708037231d59924b944329940b.
